package com.quant.entity;

import java.sql.Timestamp;

/**
 * UserVerify entity. @author MyEclipse Persistence Tools
 */

public class UserVerify implements java.io.Serializable {

	// Fields

	private Integer id;
	private Integer uid;
	private String name;
	private Integer companyId;
	private String cardUri;
	private String mobile;
	private Timestamp postTime;
	private Integer status;
	private String companyName;
	private String reasonStatus;

	// Constructors



	public String getReasonStatus() {
		return reasonStatus;
	}

	public void setReasonStatus(String reasonStatus) {
		this.reasonStatus = reasonStatus;
	}

	/** full constructor */
	public UserVerify(Integer uid, String name,String companyName, Integer companyId,
			String cardUri, String mobile, Timestamp postTime, Integer status) {
		this.uid = uid;
		this.name = name;
		this.companyName = companyName;
		this.companyId = companyId;
		this.cardUri = cardUri;
		this.mobile = mobile;
		this.postTime = postTime;
		this.status = status;
	}

	// Property accessors

	public UserVerify() {
	}

	public String getCompanyName() {
		return companyName;
	}

	public void setCompanyName(String companyName) {
		this.companyName = companyName;
	}
	
	public Integer getId() {
		return this.id;
	}

	public void setId(Integer id) {
		this.id = id;
	}

	public Integer getUid() {
		return this.uid;
	}

	public void setUid(Integer uid) {
		this.uid = uid;
	}

	public String getName() {
		return this.name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public Integer getCompanyId() {
		return this.companyId;
	}

	public void setCompanyId(Integer companyId) {
		this.companyId = companyId;
	}

	public String getCardUri() {
		return this.cardUri;
	}

	public void setCardUri(String cardUri) {
		this.cardUri = cardUri;
	}

	public String getMobile() {
		return this.mobile;
	}

	public void setMobile(String mobile) {
		this.mobile = mobile;
	}

	public Timestamp getPostTime() {
		return this.postTime;
	}

	public void setPostTime(Timestamp postTime) {
		this.postTime = postTime;
	}

	public Integer getStatus() {
		return this.status;
	}

	public void setStatus(Integer status) {
		this.status = status;
	}

}